<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- chr-05 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
        <TABLE cellpadding="0" cellspacing="0" height="100%" width="100%" class="main-bg"><TR><TD>
        <TABLE WIDTH="710" CELLPADDING="0" CELLSPACING="0" BORDER="0" align="center">
        	<TR>
        		<TD valign="top" height="70">
        			<table cellpadding="0" cellspacing="0" width="710" height="70">
        				<tr>
        					<td>
        						<!-- LOGO -->
        						<table cellpadding="0" cellspacing="0">
        							<tr>
        								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
        								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        							</tr>
        							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
        						</table>
        						<!-- END LOGO -->
        					</td>
        					<td>
        					<!-- MENU -->
        						<!-- CALL TOP-MENU -->
        						<xsl:call-template name="TOP-MENU"/>
        					<!-- END MENU -->
        					</td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" height="100%" style="background-image: url('images/bg.jpg'); background-repeat: repeat-y;">
        			<table cellpadding="0" cellspacing="0" height="100%" width="710" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        				<tr><td height="116"></td></tr>
        				<tr>
        					<td height="227" valign="top">
        						<table cellpadding="0" cellspacing="0" width="228" height="227" align="right">
        							<tr><td><img src="images/submenu_tbg.gif"/></td></tr>
        							<tr>
        								<td height="100%" valign="top" align="center" style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
        								<!-- SUBMENU -->
        									<!-- CALL SUB-MENU -->
        									<xsl:call-template name="SUB-MENU">
        										<xsl:with-param name="pageID" select="@ID"/>
        									</xsl:call-template>
        								<!-- END SUBMENU -->
        								</td>
        							</tr>
        							<tr><td height="10" bgcolor="white"></td></tr>
        						</table>
        					</td>
        				</tr>
        				<tr>
        					<td valign="top" height="100%">
        					<!-- CONTENT -->
        						<table cellpadding="0" cellspacing="0" width="380" align="center">
        							<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        							<tr><td height="15"></td></tr>
        							<tr>
        								<td class="text" width="380">
        									<xsl:apply-templates select="PAGE-CONTENT"/>
        								</td>
        							</tr>
        						</table>
        					<!-- END CONTENT -->
        					</td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        	<TR>
        		<TD height="62">
        			<table cellpadding="0" cellspacing="0" height="62" width="100%">
        				<tr>
        					<td><img src="images/bottom_lbg.jpg"/></td>
        					<td width="100%" style="background-image: url('images/bottom_bg.jpg'); background-repeat: repeat-x;"></td>
        					<td align="right"><img src="images/bottom_rbg.jpg"/></td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        	<TR>
        		<TD height="60" class="footer" align="right" style="padding: 20px;">
        		<!-- FOOTER -->
        			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
        </TD></TR></TABLE>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-MENU-->
   				
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" align="right">
   			<tr>
   				<td width="30"></td>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" width="160">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
   					<tr><td height="10"></td></tr>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" width="160">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
   					<tr><td height="10"></td></tr>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
