<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- chr-10 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
<table cellpadding="0" cellspacing="0" border="0" width="780" height="100%" bgcolor="White">
	<tr>
		<td>
		   	<table cellpadding="0" cellspacing="0" border="0">
		       	<tr>
					<td colspan="2" height="104">
			        	<table cellpadding="0" cellspacing="0" border="0" width="780">
				        	<tr>
					        	<td width="276" style="padding:10px 0px 0px 50px;">
					        		<table cellpadding="0" cellspacing="0" border="0">
						        		<tr>
							        		<td style="padding:0px 2px 14px 0px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
							        		<td>
							        			<div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
							        			<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
							        		</td>
						        		</tr>
					        		</table>
					        	</td>
					        	<td  width="100%" style="padding-right: 20px;">
					        		<!-- CALL TOP-MENU -->
					        		<xsl:call-template name="TOP-MENU"/>
						        </td>
		        			</tr>
			        	</table>
			        </td>
		        </tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="100%">
		    <table cellpadding="0" cellspacing="0" border="0" width="780" height="100%">
		        <tr>
			        <td height="269" colspan="2" style="background-image:url('images/header.jpg'); background-position: top left; background-repeat: no-repeat;"></td>
		        </tr>
		        <tr>
		        	<td height="100%" valign="top" style="padding:20px 0px 0px 10px;">
		        		<div style="width:283px; height:0px;"><spacer/></div>
		        		<!--2ndmenu /-->
		        		<!-- CALL SUB-MENU -->
		        		<xsl:call-template name="SUB-MENU">
		        			<xsl:with-param name="pageID" select="@ID"/>
		        		</xsl:call-template>
		        		<!--/ 2ndmenu-->
		        	</td>
		        	<td width="100%" class="text-bg" valign="top" style="background-image: url('images/text_bgrpt.gif'); background-repeat: repeat-y;">
		        		<table cellpadding="0" cellspacing="0" border="0" width="100%" style="background-image:url(images/text_bg.gif); background-position: top left; background-repeat: no-repeat;">
		        			<tr>
		        				<td height="54" class="pageheader">
		        					<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
		        				</td>
		        			</tr>
		        			<tr>
		        				<td height="151" class="thatext" width="375">
		        					<xsl:apply-templates select="PAGE-CONTENT"/>
		        				</td>
		        			</tr>
		        		</table>
		        	</td>
		        </tr>
		        <tr>
		        	<td height="60" style="background-image:url(images/2ndmenu_bottom.gif); background-position: bottom left; background-repeat: no-repeat;"></td>
		        	<td style="background-image:url(images/text_bottom.gif); background-position: bottom left; background-repeat: no-repeat;"></td>
		        </tr>
		        <tr>
		        	<td height="62"></td>
		        	<td class="copy">
		        		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		       		</td>
		        </tr>
			</table>
		</td>
	</tr>
</table>
</td></tr></table>
        </body>
		</html>

	</xsl:template>


	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" border="0">
   		<tr>
   		<td><div style="width:35px; height:0px;"><spacer/></div></td>
			<xsl:apply-templates select="MENU" mode="top"/>
   		</tr>
   		</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
	        	<table cellpadding="0" cellspacing="0" border="0">
                	<tr>
                	<td width="50%"></td>
                	<td></td>
                	<td width="50%"></td>
                	</tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
	        	</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
	        	<table cellpadding="0" cellspacing="0" border="0">
                	<tr>
                	<td width="50%"></td>
                	<td></td>
                	<td width="50%"></td>
                	</tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
	        	</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
